[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# TFPURoundingMode

How to round floating point values

## Declaration

Source position: mathh.inc line 52

`type TFPURoundingMode = (`
`rmNearest,` |  | Round to nearest integer
`rmDown,` |  | Round to biggest integer smaller than value.
`rmUp,` |  | Round to smallest integer larger than value
`rmTruncate` |  | Cut off fractional part
`);`

## Description

TFPURoundingMode enumerates the possible values for software floating point math rounding. It has been moved here from the math unit.

## See also

TFPUPrecisionMode |  | Type describing the default precision for Floating Point math.
softfloat_rounding_mode |  | Rounding mode for softfloat